Bug 1161284 - git dependency
Summary: git dependency
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gettext
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-06 20:18 UTC by Helmut K. C. Tessarek
Modified: 2017-01-26 12:21 UTC (History)
4 users (show)

Fixed In Version: gettext-0.19.8.1-7.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-26 12:21:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1416691 None None None Never

Internal Links: 1416691

Description Helmut K. C. Tessarek 2014-11-06 20:18:25 UTC
Description of problem:

gettext-devel depends on git

Additional info:

Mail correspondence with Daiki Ueno:

> Can you please remove the git dependency for gettext-devel?
>
> This is supposed to be a development package (mainly include files).
> Since git on Fedora is very old and not updated reagularily, I tried to
> remove git (to compile my own git) and to my surprise I saw that
> gettext-devel depends on git.
>
> AFAIK this is the only *-devel package which depends on git.

Actually, it _was_ needed for autopoint (a developer script, like
autoconf or automake), when we used git as a compression method of
/usr/share/gettext/archive.dir.*.  Now that the default changed to
tar.xz, git shouldn't be necessary anymore.

> I truly believe this is a bug. Can you please fix this?

Could you please file a bug on bugzilla.redhat.com, so we don't forgot
to fix it on the next update?

Comment 1 Fedora Update System 2014-12-31 14:50:01 UTC
gettext-0.19.4-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gettext-0.19.4-2.fc21

Comment 2 Helmut K. C. Tessarek 2014-12-31 16:57:06 UTC
Thanks for looking into this. Can you please generate an RPM for F20? 
There are still a lot of people using Fedora 20.

Comment 3 Fedora Update System 2015-01-03 19:09:18 UTC
gettext-0.19.4-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-01-05 01:42:07 UTC
gettext-0.18.3.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gettext-0.18.3.2-4.fc20

Comment 5 Fedora Update System 2015-01-17 05:35:50 UTC
gettext-0.18.3.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Pavel Raiskup 2017-01-26 11:50:03 UTC
Reopening because I think this was actually not fixed correctly.  Having
'%bcond_without git' implies '%{with git}' is still 1, thus the dependency
was not really removed.


Note You need to log in before you can comment on or make changes to this bug.